<template lang="pug">
q-drawer(
	v-model="model"
	show-if-above
	:width="280"
	:breakpoint="1023"
	)
	q-item
		q-item-section(top, avatar)
			q-avatar(rounded)
				img(src="@/assets/img/logo-white.svg")
		q-item-section
			q-item-label MAD food dashboard
			//-q-item-label(caption) Secondary line text. May be several strings
		q-item-section(side, top)
			//-q-badge(label="10k")

	ui-scroll-area
		q-list(padding).q-px-sm
			ui-navigation-link(name="home", icon="home") Home
			ui-navigation-link(name="kitchen", icon="food_bank") Kitchen

</template>

<script lang="ts">
	import { computed } from 'vue'
	import UiScrollArea from '@/components/ui/UiScrollArea.vue'
	import UiNavigationLink from '@/components/ui/UiNavigationLink.vue'

	export default {
		props: {
			handler: Boolean,
		},

		emits: ['update:handler'],

		setup(props, { emit }) {
			const model = computed({
				get: () => props.handler,
				set: (val) => emit('update:handler', val),
			})

			return {
				model,
			}
		},

		components: {
			UiScrollArea,
			UiNavigationLink,
		},
	}
</script>

<!--<script lang="ts" setup>
	import { computed, defineProps, defineEmits } from 'vue'
	import UiScrollArea from '@/components/ui/UiScrollArea.vue'
	const emit = defineEmits(['update:handler'])
	const props = defineProps({
		handler: Boolean,
	})
	const model = computed({
		get: () => props.handler,
		set: (val) => emit('update:handler', val),
	})
</script>-->

<style lang="scss" scoped>
	.q-drawer-container {
		&:deep(.q-drawer) {
			background: $main-background;
		}
		&:deep(.q-drawer__content) {
			display: flex;
			flex-direction: column;
		}
	}

	.q-scrollarea {
		flex: 1 1 0;
	}

	.q-item {
		border-radius: $generic-border-radius;
	}
</style>
